Bug 50098 - forwarding X connections does not work
Summary: forwarding X connections does not work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-26 19:35 UTC by j. alan eldridge
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-26 19:44:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ssh -ddde output (11.18 KB, text/plain)
2001-07-26 19:44 UTC, j. alan eldridge
no flags Details

Description j. alan eldridge 2001-07-26 19:35:17 UTC
Description of Problem:


How Reproducible:

1. first, create /usr/spool/sockets/X11. (sshd is built with wrong path... 
already in bugzilla).

2. Restart sshd in debug mode so can see what it says.

3. From a client (in this case, a cygwin client), do ssh -l user -X f.q.d.n

4. On client, verify that DISPLAY is set.

5. On client, try to execute an X program, say, xterm.



Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 j. alan eldridge 2001-07-26 19:44:37 UTC
Created attachment 25108 [details]
ssh -ddde output

Comment 2 Mike A. Harris 2002-02-11 08:38:45 UTC
/usr/spool is not a required directory in Linux, as defined by
the File Heirarchy Standard 2.2 located at:  http://www.pathname.com/fhs

Here is the FHS section on /usr/spool:

       The following symbolic links to directories may be present. This
       possibility is based on the need to preserve compatibility with older
       systems until all implementations can be assumed to use the /var
       hierarchy.

           /usr/spool -> /var/spool
           /usr/tmp -> /var/tmp
           /usr/spool/locks -> /var/lock

       Once a system no longer requires any one of the above symbolic links,
       the link may be removed, if desired.

Basically /usr/spool is not a valid directory, however a symlink may exist
for compatibility with legacy software, however no such link is required.

I use ssh+X11 forwarding every day, and it works ok, so I presume whatever
bug may have been in rawhide, was fixed long ago in the final release.




Note You need to log in before you can comment on or make changes to this bug.